<template>
  <div class="frame padding-15">
    <input v-on:keyup.13="addPalindromeToStorage()" class="frame__input" type="text" v-model="palindrome"
           placeholder="Type a palindrome">
    <div v-if="!!palindrome.trim()" class="checker">
      <span class="checker__value">"{{palindrome.trim()}}"</span>
      <div class="checker--is-palindrome" v-if="isPalindrome()">is</div>
      <div class="checker--not-palindrome" v-else>is not</div>
      <div>palindrome!</div>
    </div>
  </div>
</template>

<script>
  export default {
    name: "PalindromeChecker",
    data() {
      return {
        palindrome: '',
        items: []
      }
    },
    methods: {
      isPalindrome() {
        return this.palindrome.trim() === this.palindrome.trim().split('').reverse().join('');
      },

      addPalindromeToStorage() {
        if (!!this.palindrome.trim().length && this.isPalindrome()) {
          this.items.push({value: this.palindrome, id: Math.random()});
          localStorage.setItem(this.$parent.LOCAL_STORAGE_KEY, JSON.stringify(this.items));
          this.$emit('onAddPalindromes');
          this.palindrome = '';
        }
      },
    }
  }
</script>

